#include <iostream>
#include<string>
using namespace std;


int main(int argc, char** argv) 
{
	int n;
	cin>>n;
	string s;
	cin>>s;
	long int poc=1;
	long long int suma=1;
	for(int i=0;i<n;i++)
	{
		if (s[i]==s[i+1])
		{
			poc++;
		}
		else
		{
			suma*=poc;
			poc=1;
		}
		
	}
	
	cout<<suma%(1000000000+7);
	
	
	
}